## FolksAliasDetails

FolksAliasDetails — Alias for a contact.

## Functions

void | folks_alias_details_change_alias ()
void | folks_alias_details_change_alias_finish ()
const gchar * | folks_alias_details_get_alias ()
void | folks_alias_details_set_alias ()

## Types and Values

| FolksAliasDetails
struct | FolksAliasDetailsIface

## Description

This allows representation of aliases for contacts, where the user has chosen their own name for the contact to better represent that contact to them. A typical example of this is the use of user-chosen aliases for contacts in instant messaging programs.

## Functions

### folks_alias_details_change_alias ()

    void
    folks_alias_details_change_alias (FolksAliasDetails *self,
                                      const gchar *alias,
                                      GAsyncReadyCallback _callback_,
                                      gpointer _user_data_);

Change the contact's alias.

It's preferred to call this rather than setting "alias" directly, as this method gives error notification and will only return once the alias has been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the alias failed

See also: `folks_alias_details_change_alias_finish()`

#### Parameters

self | the FolksAliasDetails instance |
alias | . the new alias . | [in]
_callback_ | callback to call when the request is satisfied. | [scope async]
_user_data_ | the data to pass to `_callback_` function. | [closure]

Since: 0.6.2

### folks_alias_details_change_alias_finish ()

    void
    folks_alias_details_change_alias_finish
                                   (FolksAliasDetails *self,
                                    GAsyncResult *_res_,
                                    GError **error);

Change the contact's alias.

It's preferred to call this rather than setting "alias" directly, as this method gives error notification and will only return once the alias has been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the alias failed

See also: `folks_alias_details_change_alias()`

#### Parameters

self | the FolksAliasDetails instance |
_res_ | a GAsyncResult |
error | location to store the error occurring, or `NULL` to ignore. | [error-domains FolksPropertyError]

Since: 0.6.2

### folks_alias_details_get_alias ()

    const gchar *
    folks_alias_details_get_alias (FolksAliasDetails *self);

Get and return the current value of the "alias" property.

An alias for the contact.

An alias is a user-given name, to be used in UIs as the sole way to represent the contact to the user.

This may not be `null`: an empty string represents an unset alias.

#### Parameters

self | the FolksAliasDetails instance to query |

#### Returns

the value of the "alias" property

### folks_alias_details_set_alias ()

    void
    folks_alias_details_set_alias (FolksAliasDetails *self,
                                   const gchar *value);

Set the value of the "alias" property to `value` .

An alias for the contact.

An alias is a user-given name, to be used in UIs as the sole way to represent the contact to the user.

This may not be `null`: an empty string represents an unset alias.

#### Parameters

self | the FolksAliasDetails instance to modify |
value | the new value of the "alias" property |

## Types and Values

### FolksAliasDetails

    typedef struct _FolksAliasDetails FolksAliasDetails;

Alias for a contact.

This allows representation of aliases for contacts, where the user has chosen their own name for the contact to better represent that contact to them. A typical example of this is the use of user-chosen aliases for contacts in instant messaging programs.

### struct FolksAliasDetailsIface

    struct FolksAliasDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_alias) (FolksAliasDetails* self, const gchar* alias, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_alias_finish) (FolksAliasDetails* self, GAsyncResult* _res_, GError** error);
    	const gchar* (*get_alias) (FolksAliasDetails* self);
    	void (*set_alias) (FolksAliasDetails* self, const gchar* value);
    };

Interface for creating FolksAliasDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_alias` () | virtual method called by `folks_alias_details_change_alias()` |
`change_alias_finish` () | asynchronous finish function for `change_alias`, called by `folks_alias_details_change_alias()` |
`get_alias` () | getter method for the abstract property "alias" |
`set_alias` () | setter method for the abstract property "alias" |